xml无法预览 - android studio预览




在Android Studio布局设计预览中选择目标API (2)

似乎17是目前唯一可用的API级别预览。

我已经正确安装了所有的SDK,并且与您的SDK一样。

我的应用程序的目标是API 17,但最小Sdk版本是8.在布局设计预览页面,我可以说我的布局是如何出现在API 17版本,但是如果我点击API选择器下拉菜单,我不能选择任何其他API级别。 据我所知,我可以在2.3 Android版本和真实设备上运行我的应用程序,我可以看到结果,但在设计预览页面中是否有测试的方法?

我的清单片段:

    <uses-sdk
    android:minSdkVersion="8"
    android:targetSdkVersion="17" />


UPDATE

其实我发现问题是什么:当你安装Android Studio时,默认情况下它使用自己的Android SDK(位于Android Studio.app/sdk文件夹中)而不是你下载的(例如用于Eclipse) 。

所以我只是在我认为我正在使用的SDK和我实际使用的SDK之间有一个错误。 为了解决这个问题,你有两个选择:

从Android Studio中选择文件 - >项目结构。 在“平台设置”下,您可以添加(更新)下载的SDK文件夹,并将其用于您的项目。

打开Android Studio SDK管理器并安装旧的Android版SDK







android-studio